namespace SafeCampus.System;
[SugarTable("BuildingInfo", TableDescription = "学生宿舍楼表")]
[Tenant(SqlSugarConst.DB_DEFAULT)]
[BatchEdit]
[CodeGen]
//[IgnoreInitTable]
public class BuildingInfo : PrimaryKeyEntity
{
    /// <summary>
    /// 宿舍楼名称
    /// </summary>
    [SugarColumn(ColumnName = "Name", ColumnDescription = "宿舍楼名称", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public string Name { get; set; }
    /// <summary>
    /// 男寝还是女寝
    /// </summary>
    [SugarColumn(ColumnName = "Gender", ColumnDescription = "宿舍楼类型", IsNullable = false)]
    public bool Gender { get; set; }
    /// <summary>
    /// 创建时间
    /// </summary>
    [SugarColumn(ColumnName = "CreateTime", ColumnDescription = "创建时间", IsNullable = true)]
    public DateTime CreateTime { get; set; }
}